Page MenuHomePhabricator

[analyzer] Fix build dependency issues for SATest
ClosedPublic

Authored by manas on Jul 20 2021, 7:31 PM.

Details

Summary

It comprises of two specific changes:

  1. Fixes cmake's unmet dependency by upgrading it.
  2. Adds ccache to the build dependency list, which can be used for LLVM_CCACHE_BUILD cmake option for boosting rebuilds.

Diff Detail

Unit TestsFailed

TimeTest
60 msx64 debian > ORC-x86_64-linux.TestCases/Linux/x86-64::trivial-cxa-atexit.S
Script: -- : 'RUN: at line 3'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -m64 -c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/orc/X86_64LinuxConfig/TestCases/Linux/x86-64/Output/trivial-cxa-atexit.S.tmp /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/orc/TestCases/Linux/x86-64/trivial-cxa-atexit.S
90 msx64 debian > ORC-x86_64-linux.TestCases/Linux/x86-64::trivial-static-initializer.S
Script: -- : 'RUN: at line 7'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -m64 -c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/orc/X86_64LinuxConfig/TestCases/Linux/x86-64/Output/trivial-static-initializer.S.tmp /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/orc/TestCases/Linux/x86-64/trivial-static-initializer.S
100 msx64 debian > ORC-x86_64-linux.TestCases/Linux/x86-64::trivial-tls.S
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -m64 -c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/orc/X86_64LinuxConfig/TestCases/Linux/x86-64/Output/trivial-tls.S.tmp /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/orc/TestCases/Linux/x86-64/trivial-tls.S

Event Timeline

manas created this revision.Jul 20 2021, 7:31 PM
manas requested review of this revision.Jul 20 2021, 7:31 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 20 2021, 7:31 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
vsavchenko accepted this revision.Jul 22 2021, 2:01 AM

Awesome! Thanks!

This revision is now accepted and ready to land.Jul 22 2021, 2:01 AM
manas updated this revision to Diff 363572.Aug 2 2021, 2:15 PM

upgrade cmake-3.21.0 to cmake-3.21.1

manas added a comment.Aug 2 2021, 2:16 PM

Fixing another broken dependency packages error.

manas updated this revision to Diff 375017.Sep 25 2021, 1:04 AM

Upgrade cmake to 3.21.3

manas added a comment.Sep 25 2021, 1:04 AM

@vsavchenko should we land this?

manas closed this revision.Apr 10 2022, 2:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 10 2022, 2:09 PM